/*
 * helpwin.h : Intuition structures needed for the help(), about() & fileio
 *             functions in abouthelp.c. Created with PowerWindows 2.0 by
 *             Joel Swank 1/5/89
 */

extern struct TextAttr TOPAZ80;

SHORT BorderVectorsHelp[] = {
    0,0,
    80,0,
    80,17,
    0,17,
    0,0
};
struct Border BorderHelp = {
    -2,-1,    /* XY origin relative to container TopLeft */
    3,0,JAM1,    /* front pen, back pen and drawmode */
    5,    /* number of XY vectors */
    BorderVectorsHelp,    /* pointer to XY vectors */
    NULL    /* next border in list */
};


struct TextAttr TOPAZ60 = {
    (STRPTR)"topaz.font",
    TOPAZ_SIXTY,0,0
};

struct IntuiText ITextHelp = {
    3,0,JAM2,    /* front and back text pens, drawmode and fill byte */
    20,4,    /* XY origin relative to container TopLeft */
    &TOPAZ60,    /* font pointer or NULL for default */
    (UBYTE *)" OK",    /* pointer to text */
    NULL    /* next IntuiText structure */
};

struct Gadget HelpDone_Gad = {
    NULL,    /* next gadget */
    283,157,    /* origin XY of hit box relative to window TopLeft */
    77,16,    /* hit box width and height */
    NULL,    /* gadget flags */
    RELVERIFY,    /* activation flags */
    BOOLGADGET,    /* gadget type flags */
    (APTR)&BorderHelp,    /* gadget border or image to be rendered */
    NULL,    /* alternate imagery for selection */
    &ITextHelp,    /* first IntuiText structure */
    NULL,    /* gadget mutual-exclude long word */
    NULL,    /* SpecialInfo structure */
    NULL,    /* user-definable data */
    NULL    /* pointer to user-definable data */
};

#define GadgetListHelp HelpDone_Gad

struct NewWindow NewWindowStructureHelp = {
    0,10,    /* window XY origin relative to TopLeft of screen */
    640,185,    /* window width and height */
    0,1,    /* detail and block pens */
    GADGETUP,    /* IDCMP flags */
    WINDOWDRAG+WINDOWDEPTH,    /* other window flags */
    &HelpDone_Gad,    /* first gadget in gadget list */
    NULL,    /* custom CHECKMARK imagery */
    (UBYTE *)"IRA Calculator Help",    /* window title */
    NULL,    /* custom screen pointer */
    NULL,    /* custom bitmap */
    5,5,    /* minimum width and height */
    640,200,    /* maximum width and height */
    WBENCHSCREEN    /* destination screen type */
};

/*
 *    Data describing the requester text
 *
 */

struct IntuiText oktxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	5,3,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"OK",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText opfailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Open Failed",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText messagetxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *) NULL,  /* filled in at run time */
	NULL	/* next IntuiText structure */
};


struct IntuiText winfailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Window failed to open",	/* pointer to text */
	NULL	/* next IntuiText structure */
};


struct IntuiText cantxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	5,3,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"CANCEL",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText retrytxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	5,3,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"RETRY",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText aboutmsg4 = {
	6,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,40,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *) "     September 27, 1989",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText aboutmsg3 = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,30,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)  "        by Joel Swank",	/* pointer to text */
	&aboutmsg4 /* next IntuiText structure */
};

struct IntuiText aboutmsg2 = {
	6,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,20,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *) "          Version 2",
	&aboutmsg3	/* next IntuiText structure */
};

struct IntuiText aboutmsg = {
	6,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,10,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"      IRA Calculator",	/* pointer to text */
	&aboutmsg2	/* next IntuiText structure */
};

struct IntuiText fiofailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"FileIO failed to open",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText prerrtxt2 = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,32,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *) NULL,	/* filled in from sys_errlist */
	NULL	/* next IntuiText structure */
};

struct IntuiText prerrtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *) "Error Encountered During Printing:",
	&prerrtxt2	/* next IntuiText structure */
};


struct IntuiText infailtxt2 = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,28,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)NULL,
	NULL	/* next IntuiText structure */
};

struct IntuiText infailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Unable to open file:",	/* pointer to text */
	&infailtxt2 /* next IntuiText structure */
};

struct IntuiText lockfailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Unable to access file",	/* pointer to text */
	NULL	/* next IntuiText structure */
};


struct IntuiText prfailtxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Printer failed to open",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText badfiletxt = {
	2,1,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,16,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)" Bad File format",	/* pointer to text */
	&infailtxt2	/* next IntuiText structure */
};

/*
      FileIO window definition
*/


struct NewWindow NewWindowStructure3 = {
    0,0,
    316,150,
    0,1,
    NULL,
    WINDOWDRAG+WINDOWDEPTH,
    NULL,
    NULL,
    (UBYTE *)"  Select  File Name",
    NULL,
    NULL,
    5,5,
    640,200,
    WBENCHSCREEN
};


/*    Text for Help Screen    */

char *HelpText[40] = {
"",
"",
"",
"                             IRA Calculator",
"",
"    The IRA calculator allows easy calculation of future values of",
"investment. You enter 4 values into the string gadgets. 'Balance' is",
"the beginning investment value. 'Interest' is the annual percentage rate",
"earned by the investment. 'Deposit' is the ammount of new capital added",
"to the investment each year. 'Years' is the number of years to accumulate",
"the investment. When all data is correct, click the 'Calculate' gadget.",
"The new balance will be put back into the 'Balance' gadget. You can",
"do many years in one calculation, or just do 1 year at a time, changing",
"the data each time. The Menu provides save and load items to store the ",
"data in a file.",
NULL };

